'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

var getClasses = function getClasses(props) {
    return {
        'mdl-badge': true,
        'mdl-badge--no-background': props.noBackground,
        'mdl-badge--overlap': props.overlap
    };
};

var Badge = function Badge(props) {
    var _extends2;

    var _props$children$props = props.children.props;
    var childClassName = _props$children$props['className'];

    var otherChildProps = _objectWithoutProperties(_props$children$props, ['className']);

    var finalClassName = (0, _classnames2["default"])(_extends({}, childClassName, getClasses(props)));

    return _react2["default"].cloneElement(props.children, _extends({}, otherChildProps, (_extends2 = {}, _defineProperty(_extends2, 'className', finalClassName), _defineProperty(_extends2, 'data-badge', props.value), _extends2)));
};

Badge.propTypes = {
    value: _react2["default"].PropTypes.string.isRequired,
    children: _react2["default"].PropTypes.element.isRequired,
    noBackground: _react2["default"].PropTypes.bool,
    overlap: _react2["default"].PropTypes.bool
};

Badge.defaultProps = {
    noBackground: false,
    overlap: false
};

exports["default"] = Badge;