'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var ProgressBar = function ProgressBar(_ref) {
    var indeterminate = _ref.indeterminate;
    var progress = _ref.progress;
    var buffer = _ref.buffer;
    return _react2["default"].createElement(
        'div',
        { className: 'mdl-progress is-upgraded' + (indeterminate ? ' mdl-progress--indeterminate' : '') },
        _react2["default"].createElement('div', { className: 'progressbar bar bar1', style: { width: progress + '%' } }),
        _react2["default"].createElement('div', { className: 'bufferbar bar bar2', style: { width: buffer + '%' } }),
        _react2["default"].createElement('div', { className: 'auxbar bar bar3', style: { width: 100 - progress + '%' } })
    );
};

ProgressBar.propTypes = {
    indeterminate: _react2["default"].PropTypes.bool,
    progress: _react2["default"].PropTypes.number,
    buffer: _react2["default"].PropTypes.number
};

ProgressBar.defaultProps = {
    indeterminate: false,
    buffer: 100,
    progress: 0
};

exports["default"] = ProgressBar;