'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.MiniFooterSocialButton = exports.MiniFooterLinkList = exports.MiniFooterRightSection = exports.MiniFooterLeftSection = exports.MiniFooter = exports.MegaFooterSocialButton = exports.MegaFooterLinkList = exports.FooterHeadingSection = exports.MegaFooterHeading = exports.MegaFooterDropDownSection = exports.MegaFooterRightSection = exports.MegaFooterLeftSection = exports.MegaFooterBottomSection = exports.MegaFooterMiddleSection = exports.MegaFooterTopSection = exports.MegaFooter = undefined;

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

var MegaFooter = exports.MegaFooter = function MegaFooter(_ref) {
    var children = _ref.children;
    var className = _ref.className;

    var other = _objectWithoutProperties(_ref, ['children', 'className']);

    return _react2["default"].createElement(
        'footer',
        _extends({ className: (0, _classnames2["default"])(['mdl-mega-footer', className]) }, other),
        children
    );
};

var MegaFooterTopSection = exports.MegaFooterTopSection = function MegaFooterTopSection(_ref2) {
    var children = _ref2.children;
    var className = _ref2.className;

    var other = _objectWithoutProperties(_ref2, ['children', 'className']);

    return _react2["default"].createElement(
        'div',
        _extends({ className: (0, _classnames2["default"])(['mdl-mega-footer__top-section', className]) }, other),
        children
    );
};

var MegaFooterMiddleSection = exports.MegaFooterMiddleSection = function MegaFooterMiddleSection(_ref3) {
    var children = _ref3.children;
    var className = _ref3.className;

    var other = _objectWithoutProperties(_ref3, ['children', 'className']);

    return _react2["default"].createElement(
        'div',
        _extends({ className: (0, _classnames2["default"])(['mdl-mega-footer__middle-section', className]) }, other),
        children
    );
};

var MegaFooterBottomSection = exports.MegaFooterBottomSection = function MegaFooterBottomSection(_ref4) {
    var children = _ref4.children;
    var className = _ref4.className;

    var other = _objectWithoutProperties(_ref4, ['children', 'className']);

    return _react2["default"].createElement(
        'div',
        _extends({ className: (0, _classnames2["default"])(['mdl-mega-footer__bottom-section', className]) }, other),
        children
    );
};

var MegaFooterLeftSection = exports.MegaFooterLeftSection = function MegaFooterLeftSection(_ref5) {
    var children = _ref5.children;
    var className = _ref5.className;

    var other = _objectWithoutProperties(_ref5, ['children', 'className']);

    return _react2["default"].createElement(
        'div',
        _extends({ className: (0, _classnames2["default"])(['mdl-mega-footer__left-section', className]) }, other),
        children
    );
};

var MegaFooterRightSection = exports.MegaFooterRightSection = function MegaFooterRightSection(_ref6) {
    var children = _ref6.children;
    var className = _ref6.className;

    var other = _objectWithoutProperties(_ref6, ['children', 'className']);

    return _react2["default"].createElement(
        'div',
        _extends({ className: (0, _classnames2["default"])(['mdl-mega-footer__right-section', className]) }, other),
        children
    );
};

var MegaFooterDropDownSection = exports.MegaFooterDropDownSection = function MegaFooterDropDownSection(_ref7) {
    var children = _ref7.children;
    var className = _ref7.className;

    var other = _objectWithoutProperties(_ref7, ['children', 'className']);

    return _react2["default"].createElement(
        'div',
        _extends({ className: (0, _classnames2["default"])(['mdl-mega-footer__drop-down-section', className]) }, other),
        children
    );
};

var MegaFooterHeading = exports.MegaFooterHeading = function MegaFooterHeading(_ref8) {
    var children = _ref8.children;
    var className = _ref8.className;

    var other = _objectWithoutProperties(_ref8, ['children', 'className']);

    return _react2["default"].createElement(
        'h1',
        _extends({ className: (0, _classnames2["default"])(['mdl-mega-footer__heading', className]) }, other),
        children
    );
};

var FooterHeadingSection = exports.FooterHeadingSection = function FooterHeadingSection(_ref9) {
    var children = _ref9.children;
    var className = _ref9.className;

    var other = _objectWithoutProperties(_ref9, ['children', 'className']);

    return _react2["default"].createElement(
        'div',
        _extends({ className: (0, _classnames2["default"])(['mdl-logo', className]) }, other),
        children
    );
};

var MegaFooterLinkList = exports.MegaFooterLinkList = function MegaFooterLinkList(_ref10) {
    var children = _ref10.children;
    var className = _ref10.className;

    var other = _objectWithoutProperties(_ref10, ['children', 'className']);

    return _react2["default"].createElement(
        'ul',
        _extends({ className: (0, _classnames2["default"])(['mdl-mega-footer__link-list', className]) }, other),
        children
    );
};

var MegaFooterSocialButton = exports.MegaFooterSocialButton = function MegaFooterSocialButton(_ref11) {
    var children = _ref11.children;
    var className = _ref11.className;

    var other = _objectWithoutProperties(_ref11, ['children', 'className']);

    return _react2["default"].createElement(
        'button',
        { className: (0, _classnames2["default"])(['mdl-mega-footer__social-btn', className]) },
        children
    );
};

var MiniFooter = exports.MiniFooter = function MiniFooter(_ref12) {
    var children = _ref12.children;
    var className = _ref12.className;

    var other = _objectWithoutProperties(_ref12, ['children', 'className']);

    return _react2["default"].createElement(
        'footer',
        _extends({ className: (0, _classnames2["default"])(['mdl-mini-footer', className]) }, other),
        children
    );
};

var MiniFooterLeftSection = exports.MiniFooterLeftSection = function MiniFooterLeftSection(_ref13) {
    var children = _ref13.children;
    var className = _ref13.className;

    var other = _objectWithoutProperties(_ref13, ['children', 'className']);

    return _react2["default"].createElement(
        'footer',
        _extends({ className: (0, _classnames2["default"])(['mdl-mini-footer__left-section', className]) }, other),
        children
    );
};

var MiniFooterRightSection = exports.MiniFooterRightSection = function MiniFooterRightSection(_ref14) {
    var children = _ref14.children;
    var className = _ref14.className;

    var other = _objectWithoutProperties(_ref14, ['children', 'className']);

    return _react2["default"].createElement(
        'footer',
        _extends({ className: (0, _classnames2["default"])(['mdl-mini-footer__right-section', className]) }, other),
        children
    );
};

var MiniFooterLinkList = exports.MiniFooterLinkList = function MiniFooterLinkList(_ref15) {
    var children = _ref15.children;
    var className = _ref15.className;

    var other = _objectWithoutProperties(_ref15, ['children', 'className']);

    return _react2["default"].createElement(
        'ul',
        _extends({ className: (0, _classnames2["default"])(['mdl-mini-footer__link-list', className]) }, other),
        children
    );
};

var MiniFooterSocialButton = exports.MiniFooterSocialButton = function MiniFooterSocialButton(_ref16) {
    var children = _ref16.children;
    var className = _ref16.className;

    var other = _objectWithoutProperties(_ref16, ['children', 'className']);

    return _react2["default"].createElement(
        'button',
        _extends({ className: (0, _classnames2["default"])(['mdl-mini-footer__social-btn', className]) }, other),
        children
    );
};